summaryrefslogtreecommitdiff
path: root/resources/locale/update-po.sh
diff options
context:
space:
mode:
authorAlessandro Ghedini <al3xbio@gmail.com>2011-11-20 15:50:38 +0100
committerAlessandro Ghedini <al3xbio@gmail.com>2011-11-20 15:51:50 +0100
commit3997b71e281a5f43cc8c1892e85de30728df7b2d (patch)
tree96f2be7c48af03b7c540eba9dd6680eb270f23b8 /resources/locale/update-po.sh
parent902829c62f552f35517783570025b479745de3c5 (diff)
Imported Upstream version 0.3.1
Diffstat (limited to 'resources/locale/update-po.sh')
-rwxr-xr-xresources/locale/update-po.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/resources/locale/update-po.sh b/resources/locale/update-po.sh
new file mode 100755
index 0000000..15c15f5
--- /dev/null
+++ b/resources/locale/update-po.sh
@@ -0,0 +1,12 @@
+#!/bin/bash
+
+echo "Insert the locale which you want to update:";
+read locale;
+
+if [ "$locale" == "" ]
+then
+ echo "No locale inserted! Aborting...";
+ exit 1
+fi
+
+msgmerge -U $locale/LC_MESSAGES/$locale.po gnomepie.pot